<template>
  <q-page class="flex flex-center">
        <q-input outlined v-model=username :label="$t('Form.username')" stack-label  />
        <q-input outlined v-model=password :label="$t('Form.password')" stack-label  />
	          <q-btn round dense flat icon="send" @click=send() />
</q-page>
</template>

<script>
export default {
    name: "LogIn",
    data () {
    return {
        username: "",
	password: ""
      }
},
    methods: {
    	send(){
	    var form = {
		"name": this.username,
		"password": this.password
	    }
	    console.log(this.username + this.password);
	    this.$axios.post('http://localhost:8000/api/user/login', form)
		.then(response => {
		    console.log(response.data);
		    this.$axios.defaults.headers.common['Authorization'] = "Bearer " + response.data;
		    localStorage.setItem('token', response.data);
		    this.$q.notify({color: 'green', message: "Success", icon: 'check'});
                })
                .catch(err => {
                    console.log(err.response.data);
                    this.$q.notify({color: 'negative', message: err.response.data, icon: 'report_problem'});
                })

	}
    },
    created () {
  }
}
</script>
